#include <bits/stdc++.h>
using namespace std;
int a[100000];

bool f(int a[100000], int n){
    for(int i = 0; i < n; i++){
        if(a[i]!=0){
            return true;
        }
    }
    return false;
}

int main() {
	int n;
	cin>>n;
    for(int i = 0; i<n; i++){
        cin >> a[i];
    }
    int c = 0;
    while(n!=0 or f(a, n)){
        c+=a[n-1];
        //cout << a[n-1]<<" " << n << endl;
        int n0=0;
        for(int i = 0; i<n-1; i++){
            if(a[i]!=a[n-1] and a[i]!=0){
                a[i]--;
                if(a[i]==0){
                    n0++;
                }

            }
            
        }
        n--;

       // cout << endl << a[n-1] << endl;
       // n-=n0;
    }
    cout <<c;
}
